<!DOCTYPE html>
<html lang="en">
<head>
	<title>Login Page</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="icon" type="image/png" href="assets/images/ico/favicon.ico"/>
	<link rel="stylesheet" type="text/css" href="assets/css/bootstrap.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" type="text/css" href="assets/fonts/iconic/css/material-design-iconic-font.min.css">
	<link rel="stylesheet" type="text/css" href="assets/css/util.css">
	<link rel="stylesheet" type="text/css" href="assets/css/main.css">

</head>
<body>
	
	<div class="limiter">
		<div class="container-login100" style="background-image: url('assets/images/login-bg.jpg');">
			<div class="wrap-login100">
				<form class="login100-form validate-form" action="./actions/authenticate.php" method="post">
					
					<span class="login100-form-logo">
						<i class="zmdi zmdi-landscape"></i>
					</span><br>
					<span class="login100-form-title p-b-34 p-t-27" >
						Log in
					</span>
					
					<div class="wrap-input100 validate-input" data-validate = "Enter your email address">
						<input class="input100" type="text" id="txtStaffEmail" name="email" placeholder="Email Address" onchange="checkEmail();">
						<span class="focus-input100" data-placeholder="&#xf15a;"></span>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Enter your password">
						<input class="input100" type="password" name="password" placeholder="Password">
						<span class="focus-input100" data-placeholder="&#xf191;"></span>
					</div>

					<div class="container-login100-form-btn">
						<button type="submit" name="submit" class="login100-form-btn">
							Login
						</button>
					</div>

					<div class="text-center" style="padding-top:10%">
						<a class="txt1" href="./forgetPassword.php">Forgot Password?</a>
					</div>
				</form>
			</div>
		</div>
	</div>
	
	
	<script src="assets/js/jquery-3.4.1.min.js"></script>
	<script src="assets/js/main.js"></script>
	<script type="text/javascript">

		function checkEmail(){
			var email = $('#txtStaffEmail').val();
			if (validateEmail(email)) {
				if(email){
					$.ajax({
						type: 'post',
						url: './actions/checkData.php',
						data: {
						user_email:email,
					},
					success: function (response) {
						if(response !="OK")	{
							return true;	
						} else {
							alert('The email address is no exist! Please insert another email address.');
							$('#txtStaffEmail').val('');
							$('#txtStaffEmail').focus();
							return false;	
						}
					}
					});
				}
			} else {
				alert('Please insert a valid email address');
				$('#txtStaffEmail').val('');
				$('#txtStaffEmail').focus();
			}
		}
		
		function validateEmail(email) {
			var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
			return re.test(email);
		}	
	</script>
</body>
</html>